commit ac29e7a439be25c9c22e0062e3c94d067766fe47
Author: Ken Gaillot <kgaillot@redhat.com>
Date:   Tue Feb 7 17:16:25 2017 -0600

    Test: pengine: update regression tests for new meta-attributes

Index: pacemaker/pengine/test10/1-a-then-bm-move-b.exp
===================================================================
--- pacemaker.orig/pengine/test10/1-a-then-bm-move-b.exp
+++ pacemaker/pengine/test10/1-a-then-bm-move-b.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="10" operation="migrate_from" operation_key="B_migrate_from_0" on_node="18node1" on_node_uuid="1">
         <primitive id="B" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_migrate_source="18node2" CRM_meta_migrate_target="18node1" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_migrate_source="18node2" CRM_meta_migrate_target="18node1" CRM_meta_on_node="18node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -16,7 +16,7 @@
     <action_set>
       <rsc_op id="9" operation="migrate_to" operation_key="B_migrate_to_0" on_node="18node2" on_node_uuid="2">
         <primitive id="B" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_migrate_source="18node2" CRM_meta_migrate_target="18node1" CRM_meta_record_pending="true" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_migrate_source="18node2" CRM_meta_migrate_target="18node1" CRM_meta_on_node="18node2" CRM_meta_on_node_uuid="2" CRM_meta_record_pending="true" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -25,7 +25,7 @@
     <action_set>
       <rsc_op id="8" operation="monitor" operation_key="B_monitor_60000" on_node="18node1" on_node_uuid="1">
         <primitive id="B" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_on_node="18node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -53,7 +53,7 @@
     <action_set>
       <rsc_op id="6" operation="stop" operation_key="B_stop_0" on_node="18node2" on_node_uuid="2">
         <primitive id="B" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="18node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
Index: pacemaker/pengine/test10/10-a-then-bm-b-move-a-clone.exp
===================================================================
--- pacemaker.orig/pengine/test10/10-a-then-bm-b-move-a-clone.exp
+++ pacemaker/pengine/test10/10-a-then-bm-b-move-a-clone.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="4" operation="stop" operation_key="myclone_stop_0" internal_operation_key="myclone:1_stop_0" on_node="f20node1" on_node_uuid="1">
         <primitive id="myclone" long-id="myclone:1" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="f20node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -43,7 +43,7 @@
     <action_set>
       <rsc_op id="12" operation="migrate_from" operation_key="vm_migrate_from_0" on_node="f20node2" on_node_uuid="2">
         <primitive id="vm" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_migrate_source="f20node1" CRM_meta_migrate_target="f20node2" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_migrate_source="f20node1" CRM_meta_migrate_target="f20node2" CRM_meta_on_node="f20node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -56,7 +56,7 @@
     <action_set>
       <rsc_op id="11" operation="migrate_to" operation_key="vm_migrate_to_0" on_node="f20node1" on_node_uuid="1">
         <primitive id="vm" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_migrate_source="f20node1" CRM_meta_migrate_target="f20node2" CRM_meta_record_pending="true" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_migrate_source="f20node1" CRM_meta_migrate_target="f20node2" CRM_meta_on_node="f20node1" CRM_meta_on_node_uuid="1" CRM_meta_record_pending="true" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -80,7 +80,7 @@
     <action_set>
       <rsc_op id="9" operation="stop" operation_key="vm_stop_0" on_node="f20node1" on_node_uuid="1">
         <primitive id="vm" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="f20node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
Index: pacemaker/pengine/test10/11-a-then-bm-b-move-a-clone-starting.exp
===================================================================
--- pacemaker.orig/pengine/test10/11-a-then-bm-b-move-a-clone-starting.exp
+++ pacemaker/pengine/test10/11-a-then-bm-b-move-a-clone-starting.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="4" operation="start" operation_key="myclone_start_0" internal_operation_key="myclone:0_start_0" on_node="f20node2" on_node_uuid="2">
         <primitive id="myclone" long-id="myclone:0" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="f20node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -19,7 +19,7 @@
     <action_set>
       <rsc_op id="3" operation="stop" operation_key="myclone_stop_0" internal_operation_key="myclone:0_stop_0" on_node="f20node1" on_node_uuid="1">
         <primitive id="myclone" long-id="myclone:0" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="f20node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -35,7 +35,7 @@
     <action_set>
       <rsc_op id="2" operation="monitor" operation_key="myclone_monitor_0" internal_operation_key="myclone:0_monitor_0" on_node="f20node2" on_node_uuid="2">
         <primitive id="myclone" long-id="myclone:0" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="f20node2" CRM_meta_on_node_uuid="2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -101,7 +101,7 @@
     <action_set>
       <rsc_op id="10" operation="start" operation_key="vm_start_0" on_node="f20node2" on_node_uuid="2">
         <primitive id="vm" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="f20node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -117,7 +117,7 @@
     <action_set>
       <rsc_op id="9" operation="stop" operation_key="vm_stop_0" on_node="f20node1" on_node_uuid="1">
         <primitive id="vm" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="f20node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/1360.exp
===================================================================
--- pacemaker.orig/pengine/test10/1360.exp
+++ pacemaker/pengine/test10/1360.exp
@@ -3,7 +3,7 @@
      <action_set>
       <rsc_op id="9" operation="start" operation_key="dollies:0_start_0" on_node="ssgtest1b" on_node_uuid="c728b2aa-1e73-491f-a03c-8f0598bab169">
         <primitive id="dollies" long-id="dollies:0" class="ocf" provider="gn1" type="clone_server"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="1" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="1" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="ssgtest1b" CRM_meta_on_node_uuid="c728b2aa-1e73-491f-a03c-8f0598bab169" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
      <inputs>
@@ -19,7 +19,7 @@
      <action_set>
       <rsc_op id="8" operation="stop" operation_key="dollies:0_stop_0" on_node="ssgtest1a" on_node_uuid="94ef659b-5fd8-4d6b-b0ed-3b40339f8132">
         <primitive id="dollies" long-id="dollies:0" class="ocf" provider="gn1" type="clone_server"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="1" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="1" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="ssgtest1a" CRM_meta_on_node_uuid="94ef659b-5fd8-4d6b-b0ed-3b40339f8132" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
      <inputs>
Index: pacemaker/pengine/test10/1484.exp
===================================================================
--- pacemaker.orig/pengine/test10/1484.exp
+++ pacemaker/pengine/test10/1484.exp
@@ -3,7 +3,7 @@
      <action_set>
       <rsc_op id="3" operation="stop" operation_key="the-future-of-vaj_stop_0" on_node="hb2" on_node_uuid="86ad895f-1387-461e-a9b5-c52ed9537e13">
         <primitive id="the-future-of-vaj" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000"  target_role="started"/>
+        <attributes CRM_meta_on_node="hb2" CRM_meta_on_node_uuid="86ad895f-1387-461e-a9b5-c52ed9537e13" CRM_meta_timeout="20000"  target_role="started"/>
        </rsc_op>
      </action_set>
      <inputs/>
Index: pacemaker/pengine/test10/1494.exp
===================================================================
--- pacemaker.orig/pengine/test10/1494.exp
+++ pacemaker/pengine/test10/1494.exp
@@ -3,7 +3,7 @@
      <action_set>
       <rsc_op id="2" operation="stop" operation_key="ima_rscid:0_stop_0" on_node="hb1" on_node_uuid="1ce670eb-d670-4f6d-811f-d415ffde76b7">
         <primitive id="ima_rscid:0" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_timeout="20000"  target_role="started"/>
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_on_node="hb1" CRM_meta_on_node_uuid="1ce670eb-d670-4f6d-811f-d415ffde76b7" CRM_meta_timeout="20000"  target_role="started"/>
        </rsc_op>
      </action_set>
      <inputs>
Index: pacemaker/pengine/test10/2-am-then-b-move-a.exp
===================================================================
--- pacemaker.orig/pengine/test10/2-am-then-b-move-a.exp
+++ pacemaker/pengine/test10/2-am-then-b-move-a.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="8" operation="migrate_from" operation_key="A_migrate_from_0" on_node="18node2" on_node_uuid="2">
         <primitive id="A" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_migrate_source="18node1" CRM_meta_migrate_target="18node2" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_migrate_source="18node1" CRM_meta_migrate_target="18node2" CRM_meta_on_node="18node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -16,7 +16,7 @@
     <action_set>
       <rsc_op id="7" operation="migrate_to" operation_key="A_migrate_to_0" on_node="18node1" on_node_uuid="1">
         <primitive id="A" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_migrate_source="18node1" CRM_meta_migrate_target="18node2" CRM_meta_record_pending="true" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_migrate_source="18node1" CRM_meta_migrate_target="18node2" CRM_meta_on_node="18node1" CRM_meta_on_node_uuid="1" CRM_meta_record_pending="true" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -25,7 +25,7 @@
     <action_set>
       <rsc_op id="6" operation="monitor" operation_key="A_monitor_60000" on_node="18node2" on_node_uuid="2">
         <primitive id="A" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_on_node="18node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -53,7 +53,7 @@
     <action_set>
       <rsc_op id="4" operation="stop" operation_key="A_stop_0" on_node="18node1" on_node_uuid="1">
         <primitive id="A" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="18node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
Index: pacemaker/pengine/test10/3-am-then-bm-both-migrate.exp
===================================================================
--- pacemaker.orig/pengine/test10/3-am-then-bm-both-migrate.exp
+++ pacemaker/pengine/test10/3-am-then-bm-both-migrate.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="8" operation="migrate_from" operation_key="A_migrate_from_0" on_node="18node2" on_node_uuid="2">
         <primitive id="A" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_migrate_source="18node1" CRM_meta_migrate_target="18node2" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_migrate_source="18node1" CRM_meta_migrate_target="18node2" CRM_meta_on_node="18node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -16,7 +16,7 @@
     <action_set>
       <rsc_op id="7" operation="migrate_to" operation_key="A_migrate_to_0" on_node="18node1" on_node_uuid="1">
         <primitive id="A" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_migrate_source="18node1" CRM_meta_migrate_target="18node2" CRM_meta_record_pending="true" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_migrate_source="18node1" CRM_meta_migrate_target="18node2" CRM_meta_on_node="18node1" CRM_meta_on_node_uuid="1" CRM_meta_record_pending="true" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -25,7 +25,7 @@
     <action_set>
       <rsc_op id="6" operation="monitor" operation_key="A_monitor_60000" on_node="18node2" on_node_uuid="2">
         <primitive id="A" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_on_node="18node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -53,7 +53,7 @@
     <action_set>
       <rsc_op id="4" operation="stop" operation_key="A_stop_0" on_node="18node1" on_node_uuid="1">
         <primitive id="A" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="18node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -69,7 +69,7 @@
     <action_set>
       <rsc_op id="13" operation="migrate_from" operation_key="B_migrate_from_0" on_node="18node1" on_node_uuid="1">
         <primitive id="B" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_migrate_source="18node2" CRM_meta_migrate_target="18node1" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_migrate_source="18node2" CRM_meta_migrate_target="18node1" CRM_meta_on_node="18node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -82,7 +82,7 @@
     <action_set>
       <rsc_op id="12" operation="migrate_to" operation_key="B_migrate_to_0" on_node="18node2" on_node_uuid="2">
         <primitive id="B" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_migrate_source="18node2" CRM_meta_migrate_target="18node1" CRM_meta_record_pending="true" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_migrate_source="18node2" CRM_meta_migrate_target="18node1" CRM_meta_on_node="18node2" CRM_meta_on_node_uuid="2" CRM_meta_record_pending="true" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -95,7 +95,7 @@
     <action_set>
       <rsc_op id="11" operation="monitor" operation_key="B_monitor_60000" on_node="18node1" on_node_uuid="1">
         <primitive id="B" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_on_node="18node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -126,7 +126,7 @@
     <action_set>
       <rsc_op id="9" operation="stop" operation_key="B_stop_0" on_node="18node2" on_node_uuid="2">
         <primitive id="B" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="18node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
Index: pacemaker/pengine/test10/4-am-then-bm-b-not-migratable.exp
===================================================================
--- pacemaker.orig/pengine/test10/4-am-then-bm-b-not-migratable.exp
+++ pacemaker/pengine/test10/4-am-then-bm-b-not-migratable.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="8" operation="migrate_from" operation_key="A_migrate_from_0" on_node="18node2" on_node_uuid="2">
         <primitive id="A" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_migrate_source="18node1" CRM_meta_migrate_target="18node2" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_migrate_source="18node1" CRM_meta_migrate_target="18node2" CRM_meta_on_node="18node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -16,7 +16,7 @@
     <action_set>
       <rsc_op id="7" operation="migrate_to" operation_key="A_migrate_to_0" on_node="18node1" on_node_uuid="1">
         <primitive id="A" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_migrate_source="18node1" CRM_meta_migrate_target="18node2" CRM_meta_record_pending="true" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_migrate_source="18node1" CRM_meta_migrate_target="18node2" CRM_meta_on_node="18node1" CRM_meta_on_node_uuid="1" CRM_meta_record_pending="true" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -29,7 +29,7 @@
     <action_set>
       <rsc_op id="6" operation="monitor" operation_key="A_monitor_60000" on_node="18node2" on_node_uuid="2">
         <primitive id="A" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_on_node="18node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -57,7 +57,7 @@
     <action_set>
       <rsc_op id="4" operation="stop" operation_key="A_stop_0" on_node="18node1" on_node_uuid="1">
         <primitive id="A" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="18node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -73,7 +73,7 @@
     <action_set>
       <rsc_op id="11" operation="monitor" operation_key="B_monitor_60000" on_node="18node1" on_node_uuid="1">
         <primitive id="B" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_on_node="18node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -86,7 +86,7 @@
     <action_set>
       <rsc_op id="10" operation="start" operation_key="B_start_0" on_node="18node1" on_node_uuid="1">
         <primitive id="B" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="18node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -102,7 +102,7 @@
     <action_set>
       <rsc_op id="9" operation="stop" operation_key="B_stop_0" on_node="18node2" on_node_uuid="2">
         <primitive id="B" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="18node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/5-am-then-bm-a-not-migratable.exp
===================================================================
--- pacemaker.orig/pengine/test10/5-am-then-bm-a-not-migratable.exp
+++ pacemaker/pengine/test10/5-am-then-bm-a-not-migratable.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="6" operation="monitor" operation_key="A_monitor_60000" on_node="18node2" on_node_uuid="2">
         <primitive id="A" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_on_node="18node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -16,7 +16,7 @@
     <action_set>
       <rsc_op id="5" operation="start" operation_key="A_start_0" on_node="18node2" on_node_uuid="2">
         <primitive id="A" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="18node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -29,7 +29,7 @@
     <action_set>
       <rsc_op id="4" operation="stop" operation_key="A_stop_0" on_node="18node1" on_node_uuid="1">
         <primitive id="A" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="18node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -42,7 +42,7 @@
     <action_set>
       <rsc_op id="9" operation="monitor" operation_key="B_monitor_60000" on_node="18node1" on_node_uuid="1">
         <primitive id="B" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_on_node="18node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -55,7 +55,7 @@
     <action_set>
       <rsc_op id="8" operation="start" operation_key="B_start_0" on_node="18node1" on_node_uuid="1">
         <primitive id="B" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="18node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -71,7 +71,7 @@
     <action_set>
       <rsc_op id="7" operation="stop" operation_key="B_stop_0" on_node="18node2" on_node_uuid="2">
         <primitive id="B" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="18node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
